%define modname system

Summary: Issabel System Module
Name:    issabel-%{modname}
Version: 4.0.0
Release: 2
License: GPL
Group:   Applications/System
Source0: %{modname}_%{version}-%{release}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires(pre): issabel-framework >= 4.0.0-1
Requires(pre): issabel-fax >= 2.2.0-4
Requires(pre): php-soap
Requires(pre): dahdi
Conflicts: elastix-agenda < 2.2.0-1
Conflicts: elastix-pbx <= 2.4.0-15
Requires: dhcp
Requires: php-simplepie
Requires: hdparm

Obsoletes: elastix-system

# commands: /bin/date /usr/bin/stat /usr/bin/du rm /bin/chown /bin/su /bin/df
Requires: coreutils

# commands: /sbin/dmsetup
Requires: device-mapper

# commands: rpm
Requires: rpm

# commands: yum
Requires: yum

# commands: /sbin/ip
Requires: iproute

# commands: /sbin/route
Requires: net-tools

# netconfig assumes postfix service is present
Requires: postfix

# dhcpconfig assumes dhcpd service is present
Requires: dhcp

# commands: chkconfig
Requires: chkconfig

# commands: tar
Requires: tar

# commands: mysqldump mysql
Requires: mysql

# commands: /usr/lib/cyrus-imapd/reconstruct
Requires: cyrus-imapd

Requires: /usr/sbin/saslpasswd2

Requires: /sbin/pidof
Requires: /bin/hostname
Requires: /sbin/shutdown

%description
Issabel System Module

%prep
%setup -n %{name}_%{version}-%{release}

%install
rm -rf $RPM_BUILD_ROOT

# Files provided by all Issabel modules
mkdir -p    $RPM_BUILD_ROOT/var/www/html/
mkdir -p    $RPM_BUILD_ROOT/var/www/html/libs/
mkdir -p    $RPM_BUILD_ROOT/var/www/backup
mkdir -p    $RPM_BUILD_ROOT/usr/share/issabel/privileged
mkdir -p    $RPM_BUILD_ROOT/var/www/db/
mkdir -p    $RPM_BUILD_ROOT/usr/bin/
rm -rf modules/userlist/
mv modules/ $RPM_BUILD_ROOT/var/www/html/

mv setup/paloSantoNetwork.class.php      $RPM_BUILD_ROOT/var/www/html/libs/
mv setup/automatic_backup.php            $RPM_BUILD_ROOT/var/www/backup/
mv setup/usr/share/issabel/privileged/*  $RPM_BUILD_ROOT/usr/share/issabel/privileged
mv setup/rpms_availables		 $RPM_BUILD_ROOT/var/www/db/

rmdir setup/usr/share/issabel/privileged setup/usr/share/issabel setup/usr/share

# Additional (module-specific) files that can be handled by RPM
#mkdir -p $RPM_BUILD_ROOT/opt/issabel/
#mv setup/dialer

# ** Dahdi files **#
mkdir -p $RPM_BUILD_ROOT/etc/dahdi
mkdir -p $RPM_BUILD_ROOT/usr/sbin/

# ** switch_wanpipe_media file ** #
mv setup/usr/sbin/switch_wanpipe_media        $RPM_BUILD_ROOT/usr/sbin/
mv setup/usr/sbin/issabel_migration.sh        $RPM_BUILD_ROOT/usr/sbin/
rmdir setup/usr/sbin

# ** The following selects oslec as default echo canceller ** #
echo "echo_can oslec" > $RPM_BUILD_ROOT/etc/dahdi/genconf_parameters
echo "bri_sig_style bri" >> $RPM_BUILD_ROOT/etc/dahdi/genconf_parameters

rmdir setup/usr

# The following folder should contain all the data that is required by the installer,
# that cannot be handled by RPM.
mkdir -p    $RPM_BUILD_ROOT/usr/share/issabel/module_installer/%{name}-%{version}-%{release}/
mv setup/   $RPM_BUILD_ROOT/usr/share/issabel/module_installer/%{name}-%{version}-%{release}/
mv menu.xml $RPM_BUILD_ROOT/usr/share/issabel/module_installer/%{name}-%{version}-%{release}/

%pre
mkdir -p /usr/share/issabel/module_installer/%{name}-%{version}-%{release}/
touch /usr/share/issabel/module_installer/%{name}-%{version}-%{release}/preversion_%{modname}.info
if [ $1 -eq 2 ]; then
    rpm -q --queryformat='%{VERSION}-%{RELEASE}' %{name} > /usr/share/issabel/module_installer/%{name}-%{version}-%{release}/preversion_%{modname}.info
fi

%post
pathModule="/usr/share/issabel/module_installer/%{name}-%{version}-%{release}"

# Run installer script to fix up ACLs and add module to Issabel menus.
issabel-menumerge $pathModule/menu.xml
pathSQLiteDB="/var/www/db"
mkdir -p $pathSQLiteDB
preversion=`cat $pathModule/preversion_%{modname}.info`
rm $pathModule/preversion_%{modname}.info

if [ $1 -eq 1 ]; then #install
  # The installer database
    issabel-dbprocess "install" "$pathModule/setup/db"
elif [ $1 -eq 2 ]; then #update
    issabel-dbprocess "update"  "$pathModule/setup/db" "$preversion"
fi

# If openfire is not running probably we're in the distro installation process
# So, i configure openfire init script as stopped by default
/sbin/service openfire status | grep "not running" &>/dev/null
res=$?
# Openfire esta apagado
if [ $res -eq 0 ]; then
    # Desactivo el servicio openfire al inicio
    chkconfig --level 2345 openfire off
fi


# The installer script expects to be in /tmp/new_module
mkdir -p /tmp/new_module/%{modname}
cp -r /usr/share/issabel/module_installer/%{name}-%{version}-%{release}/* /tmp/new_module/%{modname}/
chown -R asterisk.asterisk /tmp/new_module/%{modname}

php /tmp/new_module/%{modname}/setup/installer.php
rm -rf /tmp/new_module

%clean
rm -rf $RPM_BUILD_ROOT

%preun
pathModule="/usr/share/issabel/module_installer/%{name}-%{version}-%{release}"
if [ $1 -eq 0 ] ; then # Validation for desinstall this rpm
  echo "Delete System menus"
  issabel-menuremove "%{modname}"

  echo "Dump and delete %{name} databases"
  issabel-dbprocess "delete" "$pathModule/setup/db"
fi

%files
%defattr(-, root, root)
%{_localstatedir}/www/html/*
/usr/share/issabel/module_installer/*
/var/www/backup/automatic_backup.php
/var/www/db/rpms_availables
%defattr(755, root, root)
/usr/sbin/switch_wanpipe_media
/usr/sbin/issabel_migration.sh
/usr/share/issabel/privileged/*
%config(noreplace) /etc/dahdi/genconf_parameters

%changelog
* Fri Jul 14 2017 Nicolas Gudino
- (f981389) Rebrading on header lang file (HEAD, origin/master, origin/HEAD, master)

* Fri Jul 14 2017 Nicolas Gudino
- (b26e278) Merge branch 'master', updates cn language

* Fri Jul 14 2017 Nicolas
- (47bd632) Merge pull request #2 from zhulizhong/master

* Wed Jul 12 2017 Nicolas Gudino
- (f9106be) Update translations

* Tue Jul 11 2017 Nicolas Gudino
- (99038a8) Make migration more resilient, update and reinstall modules if broken

* Wed Jul 5 2017 James.zhu
- (72a6635) Update cn.lang

* Sat Jul 1 2017 Nicolas Gudino
- (cc1f021) Update to RPM release 2

* Fri Jun 30 2017 Nicolas Gudino
- (cc0ee6b) Install CoS module after migration, be sure to restore original indexes also

* Wed Jun 28 2017 Nicolas Gudino
- (03a21ff) Do not restore cdr_mysql.conf as password might differ from old to new system

* Tue Jun 27 2017 Nicolas Gudino
- (68a2aea) Fix typo on issabel dialer service dashboard applet

* Wed Jun 21 2017 Nicolas Gudino
- (a722f75) Improve migration on PBX modules

* Fri Jun 16 2017 Nicolas Gudino
- (7b3f5da) Increase web upload max file size limit to 3GB

* Thu Jun 15 2017 Nicolas Gudino
- (5434175) Restore original admin password also to issabelPBX users

* Thu Jun 15 2017 Nicolas Gudino
- (085df1a) Remove debug output from migration script

* Thu Jun 15 2017 Nicolas Gudino
- (71425f5) Allow deletion of elastix--- backup files

* Thu Jun 15 2017 Nicolas Gudino
- (285e72f) Add new migration script on RPM build

* Thu Jun 15 2017 Nicolas Gudino
- (42ded7d) Assets for file upload

* Thu Jun 15 2017 Nicolas Gudino
- (b8b6f9b) Set issabel_migration script

* Thu Jun 15 2017 Nicolas Gudino
- (f3e2ecd) Add upload backup option from web

* Wed Jun 14 2017 Nicolas Gudino
- (ffe08c9) Remove test button

* Wed Jun 14 2017 Nicolas Gudino
- (57a23f1) Add template for migration from old Elastix

* Wed Jun 14 2017 Nicolas Gudino
- (4d1d0d4) Update language files for migration

* Wed Jun 14 2017 Nicolas Gudino
- (33adc60) Add migration options from old Elastix systems

* Wed Jun 14 2017 Nicolas Gudino
- (0bbe17d) Add migration privilege script for migrating from old Elastix systems

* Wed Jun 14 2017 Nicolas Gudino
- (a7173cd) Update translations and set session and acl security to results page

* Wed Jun 14 2017 Nicolas Gudino
- (5d73621) Set original admin password instead of the one from .conf files after a backup restore

* Mon Jun 12 2017 Nicolas Gudino
- (15404a9) Use Issabel.repo instead of deprecated elastix one

* Mon Jun 12 2017 Nicolas Gudino
- (36be370) Fix quotes on global that produced a warning

* Sun Jun 11 2017 Nicolas Gudino
- (c9ea486) Rebranding

* Sun Jun 11 2017 Nicolas Gudino
- (1de0fad) Rebranding

* Sun Jun 11 2017 Nicolas Gudino
- (338acc5) Rebranding

* Sun Jun 11 2017 Nicolas Gudino
- (2d48e4c) Rebranding

* Sun Jun 11 2017 Nicolas Gudino
- (f22e37b) Rebranding

* Sun Jun 11 2017 Nicolas Gudino
- (f02b7d3) Rebranding

* Sun Jun 11 2017 Nicolas Gudino
- (4bd729c) Rebranding

* Sun Jun 11 2017 Nicolas Gudino
- (380fef2) Rebranding

* Sun Jun 11 2017 Nicolas Gudino
- (a68ca7e) Rebranding

* Sun Jun 11 2017 Nicolas Gudino
- (f0eb085) Rebranding

* Sun Jun 11 2017 Nicolas Gudino
- (3c6000a) Upudate attribution comments leaving original copyright and GPL license in place

* Sun Jun 11 2017 Nicolas Gudino
- (691f3da) Upudate attribution comments leaving original copyright and GPL license in place

* Sun Jun 11 2017 Nicolas Gudino
- (df058f2) Upudate attribution comments leaving original copyright and GPL license in place

* Sun Jun 11 2017 Nicolas Gudino
- (5a644fb) Upudate attribution comments leaving original copyright and GPL license in place

* Sat Jun 10 2017 Nicolas Gudino
- (448c1b5) Rebranding

* Fri Jun 9 2017 Nicolas Gudino
- (7c5e6ad) Rebranding

* Fri Jun 9 2017 Nicolas Gudino
- (512570b) Rebranding

* Fri Jun 9 2017 Nicolas Gudino
- (31616f4) Remove deprecated FOP backup

* Fri Jun 9 2017 Nicolas Gudino
- (09c9896) Rebranding

* Wed Jun 7 2017 Nicolas Gudino
- (0dd9c6d) Rebranding

* Mon Jun 5 2017 Nicolas Gudino
- (51c6b79) Fix module name

* Fri Jun 2 2017 Nicolas Gudino
- (86c23ec) Fix rpm dependencies

* Fri Jun 2 2017 Nicolas Gudino
- (cb9de48) Add build directory for scripted RPM packaging from git

* Thu Jun 1 2017 Nicolas Gudino
- (8197acd) Mark present NIC cards that are not attached to a network as DOWN

* Wed May 31 2017 Nicolas Gudino
- (3d77597) Use tracepath instead of traceroute

* Wed May 31 2017 Nicolas Gudino
- (2cb4612) Fix ampersand in xml menu

* Wed May 31 2017 Nicolas Gudino
- (1dd2b12) Add ping and tracepath module. More rebranding.

* Mon May 29 2017 Nicolas Gudino
- (2b62bb3) Set name to IssabelPBX

* Tue May 23 2017 Nicolas Gudino
- (b094603) Prevent addition of empty parameters like IPADDR in network configuration files that might break networking service

* Fri May 19 2017 root
- (6cff60b) Second commit

* Fri May 19 2017 Nicolas
- (8ac2d5d) Initial commit

